/*
 *  The Mana World
 *  Copyright 2004 The Mana World Development Team
 *
 *  This file is part of The Mana World.
 *
 *  The Mana World is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  The Mana World is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with The Mana World; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: requesttrade.h,v 1.8 2005/09/13 22:56:29 der_doener Exp $
 */

#ifndef _TMW_REQUESTTRADE_
#define _TMW_REQUESTTRADE_

#include <iosfwd>
#include <guichan/actionlistener.hpp>

#include "window.h"
#include "../guichanfwd.h"

extern bool requestTradeDialogOpen;

/**
 * The request trade dialog.
 *
 * \ingroup Interface
 */
class RequestTradeDialog : public Window, public gcn::ActionListener
{
    public:
        /**
         * Constructor.
         *
         * @see Window::Window
         */
        RequestTradeDialog(const std::string &name);

        /**
         * Destructor.
         */
        ~RequestTradeDialog();

        /**
         * Called when receiving actions from the widgets.
         */
        void action(const std::string& eventId);

    private:
        gcn::Button *acceptButton;
        gcn::Button *cancelButton;
        gcn::Label *nameLabel[2];
};

#endif
