/*
 *  The Mana World
 *  Copyright 2004 The Mana World Development Team
 *
 *  This file is part of The Mana World.
 *
 *  The Mana World is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  The Mana World is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with The Mana World; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: main.h,v 1.78 2005/09/26 19:38:02 umperio Exp $
 */

#ifndef _TMW_MAIN_H
#define _TMW_MAIN_H

#include <string>

class Image;
class Sound;

#ifndef TMW_DATADIR
#define TMW_DATADIR ""
#endif

enum {
    EXIT_STATE,
    LOGIN_STATE,
    CHAR_SERVER_STATE,
    CHAR_SELECT_STATE,
    CHAR_NEW_STATE,
    CHAR_DEL_STATE,
    GAME_STATE,
    ERROR_STATE,
    UPDATE_STATE
};

/* length definitions for several char[]s in order
 * to be able to use strncpy instead of strcpy for
 * security and stability reasons
 */
#define LEN_MAX_USERNAME    25
#define LEN_MIN_USERNAME    4
#define LEN_MAX_PASSWORD    25
#define LEN_MIN_PASSWORD    4

extern int map_address, char_ID;
extern short map_port;
extern int account_ID, session_ID1, session_ID2;
extern char sex, n_server, n_character;
extern unsigned char state;
extern std::string errorMessage;
extern Sound sound;

#endif
