/*
 *  The Mana World
 *  Copyright 2004 The Mana World Development Team
 *
 *  This file is part of The Mana World.
 *
 *  The Mana World is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  The Mana World is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with The Mana World; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: network.h,v 1.13 2005/09/19 12:28:42 umperio Exp $
 */

#ifndef _TMW_NETWORK_
#define _TMW_NETWORK_

class MessageIn;

/** Convert an address from int format to string */
char *iptostring(int address);

/** Open a session with a server */
int open_session(const char* address, short port);

/** Close a session */
void close_session();

/** Send and receive data waiting in the buffers */
void flush();

/**
 * Returns the next arriving message, waiting for it if necessary.
 */
MessageIn get_next_message();
extern char *out;

void skip(int len);

extern unsigned int in_size;   /**< Amount of data in input buffer. */
extern unsigned int out_size;  /**< Amount of data in output buffer. */

#endif
